projects
/
notmuch.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
0c8ce66
)
perf-test: add simple memory tests for notmuch-show
author
David Bremner
<david@tethera.net>
Sat, 18 Mar 2017 16:40:25 +0000
(13:40 -0300)
committer
David Bremner
<david@tethera.net>
Sat, 18 Mar 2017 16:40:25 +0000
(13:40 -0300)
These are probably too slow to run with the full corpus
performance-test/M02-show.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/performance-test/M02-show.sh
b/performance-test/M02-show.sh
new file mode 100755
(executable)
index 0000000..
d73035e
--- /dev/null
+++ b/
performance-test/M02-show.sh
@@ -0,0
+1,13
@@
+#!/bin/bash
+
+test_description='show'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'show *' "notmuch show '*' 1>/dev/null"
+memory_run 'show --format=json *' "notmuch show --format=json '*' 1>/dev/null"
+memory_run 'show --format=sexp *' "notmuch show --format=sexp '*' 1>/dev/null"
+
+memory_done